package task2;

import java.util.ArrayList;
import java.util.Iterator;

public class WalkCollection {
    public static void main(String[] args) {
        ArrayList arrayListExample = new ArrayList();
        // ---------------------Begin------------------------
        // arrayListExample.add("aaa");
        // arrayListExample.add("bbb");
        // arrayListExample.add("ccc");
        // arrayListExample.add("ddd");
        // 展示运行结果前删下注释
        // 使用迭代器iterator遍历arrayListExample集合
        Iterator itr = arrayListExample.iterator();
        while (itr.hasNext()) {
            System.out.println(itr.next());
        }

        // 使用foreach遍历arrayListExample集合
        arrayListExample.forEach(System.out::println);
        // ---------------------End------------------------
    }
}